      SUBROUTINE LFITAM ( KREP, KNUMER, LDTAML, LDTAME )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME PERMET D'ACTIVER OU DE DESACTIVER LES OPTIONS
C     D'UTILISATION MAXIMUM DE LA MEMOIRE TAMPON SUR UN FICHIER
C     PARTICULIER, OUVERT POUR LE LOGICIEL LFI.
C        LES OPTIONS INITIALES SONT DEFINIES A L'OUVERTURE PAR LES
C     VARIABLES GLOBALES *LTAMLG* ET *LTAMEG*, RESPECTIVEMENT POUR LES
C     OPERATIONS DE LECTURE ET D'ECRITURE .
C     ( CES VARIABLES GLOBALES SONT DEFINIES DANS LE S/P *LFIINI* )
C**
C     ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                 KNUMER (ENTREE) ==> NUMERO D'UNITE LOGIQUE CONCERNEE;
C                 LDTAML (ENTREE) ==> OPTION D'UTILISATION MAXIMUM DE LA
C                                     LA MEMOIRE TAMPON EN LECTURE;
C                 LDTAME (ENTREE) ==> CF. CI-DESSUS, EN ECRITURE.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
      LOGICAL LDTAML, LDTAME
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.NE.0) THEN
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'ON')
        LTAMPL(IRANG)=LDTAML
        LTAMPE(IRANG)=LDTAME
        NDEROP(IRANG)=6
         IF (LMULTI) CALL LFIVER (VERRUE(IRANG),'OFF')
        IREP=0
      ELSE
        IREP=-1
      ENDIF
C
      LLFATA=LLMOER (IREP,IRANG)
      KREP=IREP
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFITAM'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S  '', LDTAML= '',L1,'', LDTAME= '',L1)') KREP,KNUMER,LDTAML,LDTAME
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
